<?php
/**
 * Form_BlockEdit_text:: class, extends Form_BlockEdit.
 *
 * These classes are used to set up the forms to edit individual
 * blocks within a page.
 *
 * $Horde: giapeto/lib/Form/BlockEdit/text.php,v 1.9 2007/01/02 12:47:39 jan Exp $
 *
 * Copyright 2002-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @package Giapeto
 */
class Form_BlockEdit_text extends Form_BlockEdit {

    function Form_BlockEdit_text(&$vars, &$block)
    {
        parent::Form_BlockEdit($vars, $block);

        $this->_form->addVariable(_("Content"), 'text', 'longtext', true, false, null, array(10, 80));
        $this->_form->addVariable(_("Text style"), 'style', 'textstyle', false);
        $this->_form->addVariable(_("Text color"), 'color', 'colorpicker', false);
        $this->_form->addVariable(_("Continuation link"), 'link', 'blocklink', false);
    }

}

class Horde_Form_Type_textStyle extends Horde_Form_Type {

    function isValid(&$var, &$vars, $value, &$message)
    {
        return true;
    }

}

class Horde_Form_Type_blockLink extends Horde_Form_Type {

    function isValid(&$var, &$vars, $value, &$message)
    {
        $link = $vars->get('link');
        if (!empty($link['ext'])) {
            return true;
        }

        if (empty($link['int'])) {
            return true;
        }
        global $giapeto;
        $exists = $giapeto->getPagePath($link['int']);
        return $exists;
    }

    function getInfo(&$vars, &$var, &$info)
    {
        $link = $vars->get('link');
        if (empty($link['ext'])) {
            $info = $link['int'];
        } else {
            $info = $link['ext'];
        }
    }

}
