<?php
/**
 * This script displays a rendered MIME_Part object.
 * The following are the URL parameters to be passed:
 *   'actionID'  -- The action ID to perform
 *   'vfs_id'    -- The vfs_id of the file in the VFS.
 *   'vfs_path'  -- The path to the file in the VFS.
 *   'file_name' -- The filename of the file.
 *   'file_type' -- The content-type to use.
 *
 * $Horde: giapeto/view.php,v 1.21 2007/01/02 12:47:37 jan Exp $
 *
 * Copyright 2003-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 */

@define('GIAPETO_BASE', dirname(__FILE__));
require_once GIAPETO_BASE . '/lib/base.php';

$actionID = Util::getFormData('actionID');
$vfs_id = Util::getFormData('vfs_id');
$vfs_path = GIAPETO_VFS_PATH . Util::getFormData('vfs_path');
$file_name = Util::getFormData('file_name');
$file_type = Util::getFormData('file_type');

/* Run through action handlers. TODO: Do inline viewing. */
switch ($actionID) {
case 'download':
    $file_data = $GLOBALS['vfs']->read($vfs_path, $vfs_id);
    $browser->downloadHeaders($file_name, $file_type, false, strlen($file_data));
    echo $file_data;
    break;
}
